> For the complete documentation index, see [llms.txt](https://docs.boldminded.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.boldminded.com/publisher/docs/template-tags/channel-form.md).

# Channel:Form

To use Publisher's draft and approval features with Channel:Form tags you'll need to add 3 hidden fields to your forms:

```
<input type="hidden" name="publisher_save_status" value="draft|open" />
<input type="hidden" name="publisher_view_status" value="draft|open" />
<input type="hidden" name="lang_id" value="{publisher:current_language_id}" />
```

To send approval notification emails when submitting a Channel Form, add this hidden field to the form.

```
<input type="hidden" name="send_approval" value="y" />
```

If you wish to let users edit a draft version of an entry while the rest of the page is displaying Open/Published content, add this parameter to the Channel Form tag:

```
{exp:channel_form:form publisher_status="draft"}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.boldminded.com/publisher/docs/template-tags/channel-form.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
